# -*- rpm-spec -*-
# $Id: redirector,v 1.3 2004/08/06 11:11:44 grigory Exp $

%define redirector_cfgdir %_sysconfdir/squid/redirector/

Name: redirector
Version: 3.1.0
Release: alt1b

Summary: blocking of advertising, porno-sites, mp3 and so on
License: GPL
Group: Networking/Other
Url: http://rejik.ru/

Source0: %name-%{version}b.tgz
Source1: banlists-2.x.x.tgz
Source2: www.tgz

Requires: squid

# Automatically added by buildreq on Thu Apr 15 2004
BuildRequires: libpcre-devel

%description
blocking of advertising, porno-sites, mp3 and so on

%prep
%setup -q -n %name
%__tar xzvf %SOURCE2 && mv www ban
%__subst 's|\(chown\)|#\1|g; s|^\(INSTALL_PATH=\).*|\1%_sbindir|' Makefile
%__subst 's|\(DEFAULT_CONFIG\).*|\1 "%redirector_cfgdir/redirector.conf"|' vars.h

%build
%make_build

%install
%__mkdir_p %buildroot%redirector_cfgdir
%makeinstall INSTALL_PATH=%buildroot%_sbindir
%__mv %buildroot%_sbindir/redirector.conf.dist %buildroot%redirector_cfgdir/redirector.conf
pushd %buildroot%redirector_cfgdir
	%__tar xzvf %SOURCE1
popd
%__subst 's|/usr/local/rejik3/\(banlists/\)|%redirector_cfgdir\1|g' %buildroot%redirector_cfgdir/redirector.conf
%__subst 's|\(error_log\).*|\1 %_logdir/squid/%name.err|g' %buildroot%redirector_cfgdir/redirector.conf
%__subst 's|\(change_log\).*|\1 %_logdir/squid/%name.log|g' %buildroot%redirector_cfgdir/redirector.conf
%__subst 's|\(make-cache\).*|\1 %_sbindir/make-cache|g' %buildroot%redirector_cfgdir/redirector.conf

%__rm -rf %buildroot%_sbindir/tools

%post
if [ $1 = 1 ]; then
	%__subst 's|^#\(redirect_program\).*|\1 %_sbindir/%name %redirector_cfgdir%name.conf|' %_sysconfdir/squid/squid.conf
fi

%preun
if [ $1 = 0 ]; then
	%__subst 's|^\(redirect_program.*\)|#\1|' %_sysconfdir/squid/squid.conf
	%__rm -rf %redirector_cfgdir/banlists
fi

%files
%doc AUTHORS INSTALL VERSION ban
%attr(0755, root, squid) %dir %redirector_cfgdir
%attr(0775, root, squid) %dir %redirector_cfgdir/banlists
%attr(0775, root, squid) %dir %redirector_cfgdir/banlists/banners
%attr(0775, root, squid) %dir %redirector_cfgdir/banlists/js
%attr(0775, root, squid) %dir %redirector_cfgdir/banlists/mp3
%attr(0775, root, squid) %dir %redirector_cfgdir/banlists/porno
%config %redirector_cfgdir/%name.conf
%redirector_cfgdir/banlists/banners/*
%redirector_cfgdir/banlists/js/*
%redirector_cfgdir/banlists/mp3/*
%redirector_cfgdir/banlists/porno/*
%_sbindir/*

%changelog
* Fri Aug  6 2004 Grigory Milev <week@altlinux.ru> 3.1.0-alt1b
- new version released:
  * fix found bugs
  * add option for making changes in url: raw_change

* Thu Apr 15 2004 Grigory Milev <week@altlinux.ru> 3.0.0-alt1
- Initial build.

